
package net.mcreator.hell.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.UseAction;
import net.minecraft.item.Rarity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.Food;

import net.mcreator.hell.itemgroup.GoogleTranslateItemGroup;
import net.mcreator.hell.HellModElements;

@HellModElements.ModElement.Tag
public class NetherBerryItem extends HellModElements.ModElement {
	@ObjectHolder("hell:nether_berry")
	public static final Item block = null;
	public NetherBerryItem(HellModElements instance) {
		super(instance, 18);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}
	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(GoogleTranslateItemGroup.tab).maxStackSize(64).rarity(Rarity.COMMON)
					.food((new Food.Builder()).hunger(2).saturation(1f).build()));
			setRegistryName("nether_berry");
		}

		@Override
		public UseAction getUseAction(ItemStack itemstack) {
			return UseAction.EAT;
		}
	}
}
